Bug 750546 - gnome-shell-calendar-server - crash in app_load_events()
gnome-shell-calendar-server - crash in app_load_events()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:b15be08ff059da02ec9298da364...
:
: 670497 674466 723239 757729 789755 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 10:48 EDT by Lukas Bezdicka
Modified: 2013-02-13 16:49 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:49:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (29.70 KB, text/plain)
2011-11-01 10:48 EDT, Lukas Bezdicka
no flags Details
File: backtrace (26.74 KB, text/plain)
2011-11-01 10:48 EDT, Lukas Bezdicka
no flags Details
File: backtrace (26.10 KB, text/plain)
2012-04-02 03:08 EDT, Pierre-Antoine Roiron
no flags Details

  None (edit)
Description Lukas Bezdicka 2011-11-01 10:48:35 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-shell-calendar-server
comment:        I have lot's of calendars and events. I guess it was that >.>
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/gnome-shell-calendar-server
kernel:         3.1.0-5.fc16.x86_64
reason:         Process /usr/libexec/gnome-shell-calendar-server was killed by signal 11 (SIGSEGV)
time:           Tue Nov  1 15:11:54 2011
uid:            1000
username:       social
var_log_messages: Nov  1 15:11:55 EoS abrt[11192]: saved core dump of pid 3081 (/usr/libexec/gnome-shell-calendar-server) to /var/spool/abrt/ccpp-2011-11-01-15:11:54-3081 (19902464 bytes)
xsession_errors: 

backtrace:      Text file, 27379 bytes
maps:           Text file, 30411 bytes

build_ids:
:1c6a95451ee19617be5abea3d121f0226d21ddda
:e5d5469373e3a398567751f2a6c106cf3308a68b
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:32eeba9032ecead38442bdf6328d89464a151a7e
:951b6bb242336be75860604addacf1caacc8f10d
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:98fa95d21e16075ada6df19748c6c133ee9165d0
:89017ab0b75e533e4294f74ee8f7db3daceea536
:1729b1503ef5f6a5ca79be1978f4f9ce6296a319
:48d3cff26c916dff6cbcb5e67d5cf6d391f6ccca
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:35b28d014659e2dbca460859b84c985e03695724
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:e929b57316ad0e287c974898fbd60dd32e047c72
:ed91c88f5cf091545c29a32c54f3322017e2ccea
:7110c8ac5ea9a650cbf77c51e8cc1df7c407fafd
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:17ef36c4f4e8918b9ab1c2e3eaca7c9b584ad5cb
:086b8d05a2fb6992634d2e22e69d7aefe16cf390
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:f0d50e3af2dfee021a327fb85a993a2312a98145
:c6739204320eb15bdcdba039a2b183298170403e
:e21d62a3622c3edb824299d83be75df8fdddbe53
:9af722e8d4717709aa49739efc0ed10d0f952e3e
:a2748a35d28f083d729359d9c06bc85158408ee3
:61ac3f383cec542ca2371917cef83b9a0648af70
:a2960147ad19dd5da7908715cddbc33e005dd309
:d440afe7396b3365dcb935f9bf7f2fb28f3839de
:aaf62304b0fc10611d35b4f56005479d4c58868d
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:7109859fdd4912a7b36eea239079fd72b5575d18
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:0ce9819eb7014de7e72eec40979dd5e4d6566dca
:163b323da65b708418226eb5fa8b057c731d1475
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:0911ea7c180d733724f89037b8e8a34e64024aec
:376567a97a463859c28334ed8bf71262183298c2
:48aea888319e1848137073c9cbde54a4c2a731c9
:bb0e49a34a6f3a11e3660ce4427119f31264d5f6
:0406dc93e5d067b98e166932201a6df7dde67888
:6502dd4813f98137c70e6e05cc43828f5c2263c1
:4953d1f613914126bccceb3cb96386647ffba9df
:2da161d9f11b88a36642daa49bae0a8d9a416d21
:b492837dde7c9f97bee3e688aa7a2eb39ed1666a
:4c842320387ff7f6f91b7842b223c16518be909f
:a063208899c89b5e98f1e4f05264e0c9a66ac126
:edebfad67bdac472272d049dc7ec302f47b02f32
:180bf00a5996edd6121f13a17673245e994479b3
:017a0c9c46d30256c1d6af189b4809146ef312f6
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:94e29139152ba767534403cf94a672fe6b3fe515
:be507c791e34415e8f42f0e6030c889b2895cf9a
:07470201df55a5254027d05fa4dc509b10f2986a
:3d22dd762f2430ac679e61c98e8d856e5f3423ed
:0fccce2fdb46650674ef5b64fae5f25f14c88e08
:15c25336f081a938b4c7bdc13478f620c614242d
:29c869a877c1ceade9538f84f5ec70c3901b66b3
:91689252818532ec13597b6528d38be93b2706c4
:3776dc2380e94cd25dbf108366fa3ca5371f7ecd
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:3e2404bd469800afd61eda83d0292a2165ef0db0
:3b50812827b755646178db9447ced77425add5d8
:b77200bf76fd8c69a30220dd6709b244b215e829
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:11307731c4aa95e08b6de3064d064a12d12dee8f
:56d0d755b880afdd9ebf2c8c707282384fed90fd
:23127d1f271059affe0b612fbd2dc5851c02471f
:41c7c5713a1ff8a43af5ad8e4db749a5bf6ae044
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5247dd94e5eb5d90145d7a6b86ccc3e7a2624b23
:650b733aecfb9c46bdfc023661f19244a278df04
:51b8821c49eb1c9f2507aeb186a60ca79bd5efe9
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:969db74cda9ae012982ba09c1aa54c0c9f4d90be
:b67d01f9230119a215e7151dc3aa43428b886c8f

dso_list:
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1318885073
:/lib64/libm-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320051457
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1318885068
:/usr/lib64/libsoup-2.4.so.1.4.0 libsoup-2.36.1-2.fc16.x86_64 (Fedora Project) 1320051714
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1318885940
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1318885022
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1318885066
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-6.fc16.x86_64 (Fedora Project) 1318884959
:/usr/lib64/libgtk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1319130935
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1318885289
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1318885150
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.2.0-1.fc16.x86_64 (Fedora Project) 1318888294
:/lib64/libgmodule-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319130926
:/usr/lib64/libgdk-3.so.0.200.1 gtk3-3.2.1-1.fc16.x86_64 (Fedora Project) 1319130935
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1318885024
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320051457
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1318885037
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1318885940
:/usr/lib64/libedataserver-1.2.so.15.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1318951907
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1318886481
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1318885020
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1318885857
:/lib64/libpthread-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1318885022
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1318885070
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1318886481
:/lib64/libglib-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319130926
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1318886481
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1318885071
:/lib64/libgobject-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319130926
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1318885070
:/lib64/libgcc_s-4.6.2-20111027.so.1 libgcc-4.6.2-1.fc16.x86_64 (Fedora Project) 1320051349
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1318885072
:/usr/lib64/libicalvcal.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1318885242
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1318885016
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1318885017
:/usr/lib64/libcamel-1.2.so.29.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1318951907
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.7.1-1.fc16.x86_64 (Fedora Project) 1318885024
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1318885020
:/lib64/libdl-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320051457
:/usr/lib64/libssl.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1318885864
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1318885017
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-2.fc16.x86_64 (Fedora Project) 1320051405
:/lib64/libc-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1318885072
:/lib64/librt-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1318885940
:/usr/lib64/libebook-1.2.so.12.3.1 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1318951907
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1318885068
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1318885056
:/usr/libexec/gnome-shell-calendar-server gnome-shell-3.2.1-2.fc16.x86_64 (Fedora Project) 1320052246
:/usr/lib64/libical.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1318885242
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1318885071
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1318885013
:/lib64/ld-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1318885070
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-18.fc16.x86_64 (Fedora Project) 1320051457
:/usr/lib64/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.x86_64 (Fedora Project) 1318885864
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1318885053
:/lib64/libgthread-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319130926
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1318885072
:/lib64/libresolv-2.14.90.so glibc-2.14.90-14.x86_64 (Fedora Project) 1320051357
:/lib64/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1318885864
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1318885020
:/usr/lib64/libecal-1.2.so.10.2.2 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1318951907
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1318885019
:/usr/lib64/libicalss.so.0.46.0 libical-0.46-3.fc15.x86_64 (Fedora Project) 1318885242
:/lib64/libgio-2.0.so.0.3000.1 glib2-2.30.1-1.fc16.x86_64 (Fedora Project) 1319130926
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1318885861
:/usr/lib64/libedataserverui-3.0.so.1.0.0 evolution-data-server-3.2.1-1.fc16.x86_64 (Fedora Project) 1318951907
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1318885054
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-3.fc16.x86_64 (Fedora Project) 1320051402
:/lib64/libselinux.so.1 libselinux-2.1.6-4.fc16.x86_64 (Fedora Project) 1319537443
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-3.fc16.x86_64 (Fedora Project) 1318885072
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1318885053

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=7
:HOSTNAME=EoS
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=aa163ddd0ad59d953750c78400000015-1320134082.997971-331593666
:GNOME_KEYRING_CONTROL=/tmp/keyring-iYt5CO
:IMSETTINGS_MODULE=none
:USER=social
:USERNAME=social
:MAIL=/var/spool/mail/social
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/social/.local/bin:/home/social/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/social
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2732
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/social
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=social
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-h0oIBUl0Fo,guid=1c7a549072ace06b8625a43c000006e3
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/social
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-social-eL6b3z/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2737,unix/unix:/tmp/.ICE-unix/2737
:SSH_AUTH_SOCK=/tmp/keyring-iYt5CO/ssh
:GPG_AGENT_INFO=/tmp/keyring-iYt5CO/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
Comment 1 Lukas Bezdicka 2011-11-01 10:48:40 EDT
Created attachment 531143 [details]
File: maps
Comment 2 Lukas Bezdicka 2011-11-01 10:48:45 EDT
Created attachment 531144 [details]
File: backtrace
Comment 3 Owen Taylor 2011-12-16 13:03:22 EST
*** Bug 757729 has been marked as a duplicate of this bug. ***
Comment 4 abrt-bot 2012-03-21 13:33:54 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component GConf2 instead of component gnome-shell, reassigning to GConf2.

Bugs which were found to be similar to this bug: 
  avant-window-navigator: bug #611173, bug #628651, bug #670497
  evolution: bug #674492
  gnome-applet-alarm-clock: bug #566747
  gnome-panel: bug #537237, bug #563490
  gnome-shell: bug #789755
  gnome-system-monitor: bug #583041, bug #674466
  libcompizconfig: bug #546353
  nautilus: bug #606148

This comment is automatically generated.
Comment 5 abrt-bot 2012-03-21 13:34:04 EDT
*** Bug 789755 has been marked as a duplicate of this bug. ***
Comment 6 abrt-bot 2012-03-21 13:34:13 EDT
*** Bug 670497 has been marked as a duplicate of this bug. ***
Comment 7 abrt-bot 2012-03-21 13:34:25 EDT
*** Bug 674466 has been marked as a duplicate of this bug. ***
Comment 8 abrt-bot 2012-03-30 08:50:48 EDT
*** Bug 723239 has been marked as a duplicate of this bug. ***
Comment 9 Pierre-Antoine Roiron 2012-04-02 03:08:14 EDT
I deleted two accounts from gnome-online-accounts, while Evolution was open, displaying calendars.

backtrace_rating: 4
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 Pierre-Antoine Roiron 2012-04-02 03:08:21 EDT
Created attachment 574413 [details]
File: backtrace
Comment 11 Fedora End Of Life 2013-01-16 12:17:52 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 16:49:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.